{{ ansible_managed | comment }}

DEBUG="false"

KEYCLOAK_URL=https://{{keycloak_service_name}}
KEYCLOAK_REALM={{keycloak_permissions_sync_keycloak_realm}}
KEYCLOAK_SECRET={{keycloak_permissions_sync_keycloak_client_secret}}
KEYCLOAK_CLIENT_ID={{keycloak_permissions_sync_keycloak_client_id}}
KEYCLOAK_REQUIRED_ACTIONS={{ keycloak_required_user_actions | to_json }}

SLEEP_TIME={{ keycloak_permissions_sync_sleep | default('1m') }}
FULL_SYNC_TIME={{keycloak_permissions_sync_full_sync_time | default(2)}}

KEYCLOAK_AUTHZ_CLIENT="realm-management"
KEYCLOAK_DECISION_STRATEGY="AFFIRMATIVE"
KEYCLOAK_POLICY_ENFORCEMENT_MODE="ENFORCING"

SYNC_IGNORE_GROUPS={{ keycloak_permissions_sync_ignore_groups | to_json }}
SYNC_IGNORE_USERS={{ keycloak_permissions_sync_ignore_users | to_json }}

ALERTA_API_URL="{{           keycloak_permissions_sync_alerta_api_url           }}"
ALERTA_API_KEY="{{           keycloak_permissions_sync_alerta_api_key           }}"
ALERTA_ALERT_ENVIRONMENT="{{ keycloak_permissions_sync_alerta_alert_environment }}"
ALERTA_ALERT_SERVICE="{{     keycloak_permissions_sync_alerta_alert_service     }}"
ALERTA_ALERT_RESOURCE="{{    keycloak_permissions_sync_alerta_alert_resource    }}"
